CVE-2019-7637

Published: 08 February 2019

SDL (Simple DirectMedia Layer) through 1.2.15 and 2.x through 2.0.9 has a heap-based buffer overflow in SDL_FillRect in video/SDL_surface.c.

From the Ubuntu security team

USN-4143-1 addressed serveral vulnerabilities in SDL 2.0. This update provides the corresponding fixes for Ubuntu 14.04 ESM.

Priority

Medium

CVSS 3 base score: 8.8

Status

Package Release Status
libsdl1.2
Launchpad, Ubuntu, Debian
Upstream
Released (1.2.15-10+deb8u1)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (1.2.15+dfsg2-0.1ubuntu0.1)
Ubuntu 16.04 ESM (Xenial Xerus)
Released (1.2.15+dfsg1-3ubuntu0.1)
Ubuntu 14.04 ESM (Trusty Tahr)
Released (1.2.15-8ubuntu1.1+esm1)
Patches:
Upstream: https://hg.libsdl.org/SDL/rev/9b0e5c555c0f
Upstream: https://hg.libsdl.org/SDL/rev/32075e9e2135
libsdl2
Launchpad, Ubuntu, Debian
Upstream
Released (2.0.2+dfsg1-6)
Ubuntu 18.04 LTS (Bionic Beaver) Not vulnerable
(2.0.2+dfsg1-6)
Ubuntu 16.04 ESM (Xenial Xerus)
Released (2.0.4+dfsg1-2ubuntu2.16.04.2)
Ubuntu 14.04 ESM (Trusty Tahr)
Released (2.0.2+dfsg1-3ubuntu1.3)